using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Nadovezivanje
{
    class Program
    {
        static string Veci(string a, string b)
        {
            if (a == b)
                return a;
            if(a.Length > b.Length)
            {
                string pom = a;
                a = b;
                b = pom;
            }
            for (int i = 0; i < a.Length; i++)
            {
                if (int.Parse(a[i].ToString()) > int.Parse(b[i].ToString()))
                    return a;
                if (int.Parse(a[i].ToString()) < int.Parse(b[i].ToString()))
                    return b;
            }
            if (int.Parse(a[0].ToString()) < int.Parse(b[a.Length].ToString()))
                return b;
            return a;
        }

        static string Manji(string a, string b)
        {
            if (a == b)
                return a;
            if (a.Length > b.Length)
            {
                string pom = a;
                a = b;
                b = pom;
            }
            for (int i = 0; i < a.Length; i++)
            {
                if (int.Parse(a[i].ToString()) > int.Parse(b[i].ToString()))
                    return b;
                if (int.Parse(a[i].ToString()) < int.Parse(b[i].ToString()))
                    return a;
            }
            if (int.Parse(a[0].ToString()) < int.Parse(b[a.Length].ToString()))
                return a;
            return b;
        }

        static void Main(string[] args)
        {
            string[] brojevi = Console.ReadLine().Split();
            string kec = brojevi[0];
            string dvojka = brojevi[1];
            string trojka = brojevi[2];
            string najveci = Veci(Veci(kec, dvojka), trojka);
            string najmanji = Manji(Manji(kec, dvojka), trojka);
            string drugi;
            if (kec != najmanji && kec != najveci)
                drugi = kec;
            else if (dvojka != najmanji && dvojka != najveci)
                drugi = dvojka;
            else
                drugi = trojka;

            string rezultat = najveci + drugi + najmanji;

            Console.WriteLine(rezultat);
            Console.ReadLine();
        }
    }
}